Appearance
List categories
Categories
Fetches a paginated list of categories. It returns only public categories if the authorId is not specified. The result doesn't project a tree view and the result is sorted by display order of the category in ascending order (Display order starts from 0)
GET
/categories
Parameters
Query Parameters
page
Selects the page to retrieve on paginated responses. Used in combination with the pageSize parameter to paginate over results
Type
integer
Default
1Minimum
1pageSize
Limits the number of items returned in a single paginated response. Used in combination with the page parameter to paginate over results
Type
integer
Default
25Maximum
100Minimum
1authorId
ID of the user fetching the categories (required if wanting to see non-public categories)
Type
string
excludeGroups
When true, excludes group entries (public, private and hidden groups) from the response so only categories are returned. Defaults to false if not specified.
Type
boolean
Default
falseResponses
Successful response
application/json
JSON "result": [ { "id": "string", "name": "string", "order": 0 } ]
{
}

